const log4js = require('log4js')

log4js.configure({
  appenders: [
    {
      
    }
  ]
})

const levels = {
  'trace': log4js.levels.TRACE,
  'debug': log4js.levels.DEBUG,
  'info': log4js.levels.INFO,
  'warn': log4js.levels.WARN,
  'error': log4js.levels.ERROR,
  'fatal': log4js.levels.FATAL
}

exports.logger = function (name, level) {
  const logger = log4js.getLogger(name)
  logger.setLevel(levels[level] || levels['info'])
  return logger
}